@font-face {
  font-family: 'Google Sans';
  src: url(./fonts/Google-Sans-Regular.ttf);
}
@media (prefers-reduced-motion) {
  .fade {
    transition: all .3s ease;
  }
}

* {
  margin: 0;
  -webkit-font-smoothing: subpixel-antialiased;
  font-smoothing: subpixel-antialiased;
  moz-font-smoothing: subpixel-antialiased;
  transition: all .3s ease;
}

*,
*::before,
*::after {
  word-wrap: break-word;
  word-break: break-all;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
}
body {
  color: var(--bs-white);
  margin: 0px;
  padding: 0px;
  background: #403a5df0;
  font-family: 'Google Sans';
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
}

picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

img {
  vertical-align: middle;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

#root,
#__next {
  isolation: isolate;
}

ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

a,
a:hover,
a:focus {
  color: inherit;
  text-decoration: none;
}
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: 0;
}

h4,.h4, .note-title-editor {
  font-size: 26px;
}

.image {
  display: block;
  max-width: 100%;
  height: auto;
}

.notes-row {
  min-height: 450px;
  align-items: flex-start;
}

.note-block {
  cursor: pointer;
  padding: 10px;
  padding-right: 40px;
  min-height: 200px;
}

.pagination-block .btn {
  margin: 0 10px;
  height: 40px;
  width: 40px;
}

.btn-delete img {
  opacity: 0;
  visibility: hidden;
  width: 20px;
  transition: all .3s ease;
}
.note-block:hover .btn-delete img {
  opacity: 1;
  visibility: visible;
  transform: scale(1.2);
}


@media (min-width: 1200px) {
  .container {
    max-width: 1012px;
    padding: 0 30px;
  }
}

main.notebook-app {
  padding: 20px;
}

.main-page {
  min-height: 100vh;
  color: inherit;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.main-head h1 {
  text-shadow: 2px 2px #ff9e5b;
  letter-spacing: 0.9px;
  font-size: 37px;
}

.main-head img {
  max-width: 70px;
  height: auto;
}

.note-block {
  cursor: pointer;
  padding: 10px;
  min-height: 200px;
  border: 0.5px solid #ced4da40;
  border-radius: 10px;
}

.note-block-editor {
  width: 100%;
  padding: 0;
  border-radius: 0.375rem;
  background-color: transparent;
  color: #fff;
  border: none;
  border-bottom: 1px solid white;
  border-radius: 0;
}

.main-block {
  margin-top: 12px;
  border: 0.5px solid #ced4da40;
  border-radius: 35px;
  padding: 10px 20px;
  background-color: ;
}

.main-block-editor {
  margin-bottom: 8px;
  font-weight: 700;
  display: block;
  color: #000 !important;
  border: 0.5px solid #ced4da40;

  &:focus {
    box-shadow: none !important;
    border-color: #ced4da40;
  }
}

.main-block-head {
  margin-bottom: 2;
  font-weight: bold;
  letter-spacing: 0.7px;

  & span {
    font-style: italic;
  }
}

.main-block-btn {
  border-radius: 30px;
  background-color: #ffd45b;
  color: var(--bs-dark);
  padding: 8px 18px;
  font-weight: 700;
  letter-spacing: 0.7px;
  text-shadow: 1px 0px 1px;
  border: none !important;

  &:focus {
    border: none !important;
  }
}

.note-block-save-btn {
  border-radius: 30px;
  background-color: #ff9e5b;
  color: var(--bs-dark);
  padding: 8px 18px;
  border: none !important;
  letter-spacing: 0.9px;
  text-shadow: 1px 0px 1px;
  margin-top: 10px;
}

.note-block-del-btn {
  border-radius: 30px;
  background-color: #403a5d;
  color: var(--bs-white);
  padding: 8px 18px;
  outline: none;
  border: none;
  font-weight: 700;
  letter-spacing: 0.7px;
  text-shadow: 1px 0px 1px;
}

.main-frame {
  padding-top: 20px;
  padding-bottom: 20px;
  border: 1px solid #ced4da40;
  border-radius: 35px;
  background-color: #251e47;
}

.note-title {
  border-bottom: 1px solid transparent;
  line-height: 39px;
}
.note-description {
  font-size: 16px;
  line-height: 17px;
}
